# PSF-LoginServer - master - net.psforever.objects.vital.etc.ExplodingEntityReason
PSF - LoginServer - master - net.psforever.objects.vital.etc.ExplodingEntityReason
Keywords: PSF LoginServer master net.psforever.objects.vital.etc.ExplodingEntityReason

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package etc
  Definition Classes
    vital
- EmpReason
- ExplodingDamageModifiers
- ExplodingEntityReason
- ExplodingRadialDegrade
- PainboxReason
- SuicideReason
- TriggerUsedReason
- TrippedMineReason
- VehicleSpawnReason

c

net.psforever.objects.vital.etc

# ExplodingEntityReason 

###
Companion object ExplodingEntityReason

#### final case class ExplodingEntityReason(entity: SourceEntry, source: DamageProperties, damageModel: DamageAndResistance, instigation: Option[DamageResult]) extends DamageReason with Product with Serializable

A wrapper for a "damage source" in damage calculations that parameterizes information necessary to explain a server-driven explosion occurring. Some game objects cause area-of-effect damage upon being destroyed.

entity

  what is accredited as the source of the explosive yield

source

  information about the explosive yield

damageModel

  the model to be utilized in these calculations; typically, but not always, defined by the target

instigation

  what previous event happened, if any, that caused this explosion

Source
  ExplodingEntityReason.scala
See also

  `VitalityDefinition.explodes`

  `VitalityDefinition.innateDamage`

  `Zone.causesExplosion`

Linear Supertypes
Serializable, Product, Equals, DamageReason, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExplodingEntityReason
2. Serializable
3. Product
4. Equals
5. DamageReason
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ExplodingEntityReason(entity: SourceEntry, source: DamageProperties, damageModel: DamageAndResistance, instigation: Option[DamageResult])

   entity

     what is accredited as the source of the explosive yield

   source

     information about the explosive yield

   damageModel

     the model to be utilized in these calculations; typically, but not always, defined by the target

   instigation

     what previous event happened, if any, that caused this explosion

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def adversary: Option[SourceEntry]

   lay the blame on that which caused this explosion to occur

   lay the blame on that which caused this explosion to occur

   Definition Classes
     ExplodingEntityReason → DamageReason
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def attribution: Int

   Specifics about the method of damage, expected as an object class's unique identifier.

   Specifics about the method of damage, expected as an object class's unique identifier.

   returns

     defaults to 0

   Definition Classes
     ExplodingEntityReason → DamageReason
7.  def calculate(data: DamageInteraction, dtype: base.DamageType.Value): Output

   Perform the modified damage value and the basic resistance value allocations to be used against a given valid target.

   Perform the modified damage value and the basic resistance value allocations to be used against a given valid target.

   data

     the damaging interaction to be evaluated

   dtype

     custom damage property for resistance allocation

   returns

     an application function that takes a target and returns a result

   Definition Classes
     DamageReason
8.  def calculate(data: DamageInteraction): Output

   Perform the modified damage value and the basic resistance value allocations to be used against a given valid target.

   Perform the modified damage value and the basic resistance value allocations to be used against a given valid target.

   data

     the damaging interaction to be evaluated

   returns

     an application function that takes a target and returns a result

   Definition Classes
     DamageReason
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  val damageModel: DamageAndResistance

    The functionality that is necessary for interaction of a vital game object with the rest of the hostile game world.

    The functionality that is necessary for interaction of a vital game object with the rest of the hostile game world.

    Definition Classes
      ExplodingEntityReason → DamageReason
11.  val entity: SourceEntry
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  val instigation: Option[DamageResult]
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  def productElementNames: Iterator[String]
    Definition Classes
      Product
21.  def resolution: base.DamageResolution.Value

    An indication about how the damage was or will be processed.

    An indication about how the damage was or will be processed.

    Definition Classes
      ExplodingEntityReason → DamageReason
22.  def same(test: DamageReason): Boolean

    Determine whether two damage sources are equivalent.

    Determine whether two damage sources are equivalent.

    test

      the damage source to compare against

    returns

      `true`, if equivalent; `false`, otherwise

    Definition Classes
      ExplodingEntityReason → DamageReason
23.  val source: DamageProperties

    A direct connection to the damage information, numbers and properties.

    A direct connection to the damage information, numbers and properties.

    Definition Classes
      ExplodingEntityReason → DamageReason
24.  def staticModifiers: List[DamageProfile]

    Modifiers to the raw/modified damage value that are additive in nature.

    Modifiers to the raw/modified damage value that are additive in nature. These modifiers use a selector function to extract the damage value from the profile, a process required to acquire the raw damage value, outlined elsewhere.

    returns

      a list of modifications to apply (in order)

    Definition Classes
      DamageReason
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def unstructuredModifiers: List[Mod]

    Modifiers to the raw/modified damage value that are multiplicative or provide disjoint modification.

    Modifiers to the raw/modified damage value that are multiplicative or provide disjoint modification.

    returns

      a list of modifications to apply (in order)

    Definition Classes
      DamageReason
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from DamageReason

### Inherited from AnyRef

### Inherited from Any

### Ungrouped